# SPDX-FileCopyrightText: Copyright (c) 2023-2024, Linaro Limited.
#
# SPDX-FileCopyrightText: <text>Copyright 2022,2024 Arm Limited and/or its
# affiliates <open-source-office@arm.com></text>
#
# SPDX-License-Identifier: MIT

---
header:
  version: 14
  includes:
    - kas/include/cassini-release.yml

repos:

  meta-cassini:
    layers:
      meta-cassini-distro:

  meta-openembedded:
    url: https://git.openembedded.org/meta-openembedded
    path: layers/meta-openembedded
    layers:
      meta-oe:
      meta-filesystems:
      meta-networking:
      meta-perl:
      meta-python:

  meta-security:
    url: https://git.yoctoproject.org/git/meta-security
    path: layers/meta-security
    layers:
      meta-parsec:
    patches:
      0001-parsec-Bump-trusted-services:
        path:
          "kas/patches/meta-security/0001-meta-parsec-Update-parsec-service-to-1.4.1.patch"
        repo: meta-cassini

  meta-clang:
    url: https://github.com/kraj/meta-clang
    path: layers/meta-clang

  meta-virtualization:
    url: https://git.yoctoproject.org/git/meta-virtualization
    path: layers/meta-virtualization

  poky:
    url: https://git.yoctoproject.org/git/poky
    path: layers/poky
    layers:
      meta:
      meta-poky:

local_conf_header:
  cassini-base: |
    CONF_VERSION = "2"
    PACKAGECONFIG:remove:pn-qemu-system-native = "gtk+ sdl"

  diskmon: |
    BB_DISKMON_DIRS = "\
      STOPTASKS,${TMPDIR},1G,100K \
      STOPTASKS,${DL_DIR},1G,100K \
      STOPTASKS,${SSTATE_DIR},1G,100K \
      STOPTASKS,/tmp,100M,100K \
      HALT,${TMPDIR},100M,1K \
      HALT,${DL_DIR},100M,1K \
      HALT,${SSTATE_DIR},100M,1K \
      HALT,/tmp,10M,1K"

distro: cassini
target: unset
machine: unset

env:
  SSTATE_MIRRORS: ""
  SOURCE_MIRROR_URL: ""
  BB_HASHSERVE: "auto"
  INHERIT: ""
  BB_GENERATE_MIRROR_TARBALLS: ""
  BB_NUMBER_THREADS: "${@os.cpu_count()}"
  CASSINI_GENERIC_ARM64_FILESYSTEM: "1"
  CASSINI_GENERIC_ARM64_DEFAULTTUNE: "armv8a-crc"
